Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.components
Class ProgressiveDisplay

    java.lang.Object
      org.apache.tapestry5.corelib.components.ProgressiveDisplay

    @SupportsInformalParameters
    @Import(library="ProgressiveDisplay.js")
    @Events(value="progressiveDisplay")
    public class ProgressiveDisplay

extends java.lang.Object

A component used to implement the progressive enhancement web design strategy; the component renders itself with a simplified initial content (i.e., "loading ...") and an Ajax request then supplies the component's true body. This results in much faster page loads. You can even nest these!

The component simply does not render its body on initial render. On the subsequent action event request, it fires a `EventConstants.PROGRESSIVE_DISPLAY` event to inform the container about the (optional) event context. The event handler method may return a renderable object; if not then the component's body is rendered as the partial markup response.

Since:
  5.1.0.1

Component Parameters
Name | Description | Type | Flags | Default | Default Prefix | Since
--- | --- | --- | --- | --- | --- | ---
context | If provided, this is the event context, which will be provided via the event. | Object |  |  | prop |
initial | The initial content to display until the real content arrives. Defaults to "Loading ..." and an Ajax activity icon. | org.apache.tapestry5.Block |  | block:defaultInitial | literal |
update | Name of a function on the client-side Tapestry.ElementEffect object that is invoked after the elements's body content has been updated. If not specified, then the basic "highlight" method is used, which performs a classic "yellow fade" to indicate to the user that and update has taken place. | String |  |  | literal |

Events:

progressiveDisplay

Constructor Summary
`ProgressiveDisplay()`

Method Summary
`Block` | `getBody()` Returns the body of the ProgressiveDisplay, which is sometimes (in the context of a multi-zone update) the content to be included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressiveDisplay

    public ProgressiveDisplay()

Method Detail

### getBody

    public Block getBody()

  Returns the body of the ProgressiveDisplay, which is sometimes (in the context of a multi-zone update) the content to be included.

  Returns:
    body of component
  Since:
    5.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.